<template>
  <div>
    <div style='display:none'>
      {{changeLine()}}
    </div>
    <div style='display: inline-block' v-for='line in answers'>
      <div v-html='pTag+line+pEndTag'>
      </div>
    </div>
  </div>
</template>

<script lang='ts'>
  import {Component, Prop, Vue} from 'vue-property-decorator';

  @Component({
    name: 'mathLine',
  })
  export default class MathLine extends Vue {
    @Prop(String) private readonly answer!: string;

    private pTag = '<p>';
    private pEndTag = '</p>';
    private answers: string[] = [];

    private changeLine() {
      this.answers = this.answer.split(',');
    }
  }
</script>
